------------------------------------------------------------------------------------
--Name:  	baiseqingrenjie1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-02-13
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(265, 431)
CppScriptMgr:SetViewScale(300)
local Effect_1 = CppScriptMgr:AddEffect("dot_cha_lig", 266, 432, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Player_1 = CppScriptMgr:AddSimplePlayer(1056525, 265, 433, "", 0, 0)
Player_1:SetZoomPercent(120)
Player_1:SetDir(5)
local Player_2 = CppScriptMgr:AddSimplePlayer(1056530, 267, 431, "", 0, 0)
Player_2:SetZoomPercent(120)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("The love in stories is so attractive, my dear.", 1000)
Player_1:SetAction(190)
CppScriptMgr:WaitMilSec(990)
Player_1:Say("Will us be always together like characters in those stories?", 1000)
CppScriptMgr:WaitMilSec(980)
Player_2:SetAction(101)
Player_2:Say("Of course! I belong to each other!", 1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:WaitMilSec(1000)
local Player_3 = CppScriptMgr:AddSimplePlayer(17590, 262, 430, "", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(17590, 272, 440, "", 0, 0)
local Player_5 = CppScriptMgr:AddSimplePlayer(17590, 262, 436, "", 0, 0)
local Player_6 = CppScriptMgr:AddSimplePlayer(17590, 271, 427, "", 0, 0)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e223", 262, 430, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e223", 272, 440, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("zf2-e223", 262, 436, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("zf2-e223", 271, 427, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_3:Say("Hahaha!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_4:Say("So disgusting!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_6:Say("Since you like stories, why not go inside to experience yourselves?", 1500)
CppScriptMgr:WaitMilSec(750)
Player_1:SetAction(101)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(420)
Player_5:Say("Hahaha!", 1000)
CppScriptMgr:WaitMilSec(1330)
local Effect_6 = CppScriptMgr:AddEffect("posionbomb", 265, 433, 33, 1, 1, 1)
local Effect_7 = CppScriptMgr:AddEffect("posionbomb", 268, 430, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(310)
Player_1:SetAction(330)
Player_2:SetAction(330)
local Effect_8 = CppScriptMgr:AddEffect("zf2-e128", 265, 433, 33, 1, 1, 1)
local Effect_9 = CppScriptMgr:AddEffect("recovery", 267, 431, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(650)
Player_1:SetHide(1)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(830)
local Player_7 = CppScriptMgr:AddSimplePlayer(12900, 265, 433, "", 0, 0)
local Player_8 = CppScriptMgr:AddSimplePlayer(12910, 267, 431, "", 0, 0)
CppScriptMgr:WaitMilSec(170)
CppScriptMgr:ClearEffect(Effect_2)
CppScriptMgr:ClearEffect(Effect_3)
CppScriptMgr:ClearEffect(Effect_4)
CppScriptMgr:ClearEffect(Effect_5)
local Effect_10 = CppScriptMgr:AddEffect("irongate_superc", 272, 440, 33, 1, 1, 1)
local Effect_11 = CppScriptMgr:AddEffect("irongate_superc", 274, 438, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_9 = CppScriptMgr:AddSimplePlayer(1050684, 272, 440, "", 0, 0)
Player_9:SetDir(3)
Player_9:SetZoomPercent(150)
local Player_10 = CppScriptMgr:QueryHero()
Player_10:SetPos(274, 438)
Player_10:Say("Did they become the two books?", 1000)
Player_10:SetDir(3)
Player_10:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(120)
Player_10:SetAction(190)
CppScriptMgr:WaitMilSec(880)
Player_9:Say("No, the witch threw them into the books.", 1000)
CppScriptMgr:WaitMilSec(970)
Player_9:SetAction(101)
Player_9:Say("How long would they be trapped in the books?", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_10:Say("Can we do anything to rescue them?", 1000)
Player_9:SetDir(5)
Player_10:SetDir(1)
CppScriptMgr:WaitMilSec(980)
Player_9:Say("I have got a plan. Let`s talk it over in Twin City.", 1000)
CppScriptMgr:WaitMilSec(2000)